Package com.ocient.jdbc

# Enum Class XGResultSet.Option

java.lang.Object
java.lang.Enum<XGResultSet.Option>
com.ocient.jdbc.XGResultSet.Option

All Implemented Interfaces:
  `Serializable`, `Comparable<XGResultSet.Option>`, `Constable`

Enclosing class:
  XGResultSet

public static enum XGResultSet.Option extends Enum<XGResultSet.Option>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLOSE_STATEMENT`
Indicates the result set has ownership of its backing statement and should close it upon completion.

## Method Summary

Modifier and Type
Method
Description
`static XGResultSet.Option`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XGResultSet.Option[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLOSE_STATEMENT

public static final XGResultSet.Option CLOSE_STATEMENT
Indicates the result set has ownership of its backing statement and should close it upon completion.

## Method Details

### values

public static XGResultSet.Option[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XGResultSet.Option valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null